﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace XamGridExamples
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            BindingList<MyClass> list = new BindingList<MyClass>();
            list.ListChanged += new ListChangedEventHandler(list_ListChanged);
            list.Add(new MyClass { Name = "dfs"});
            list.RemoveAt(0);
        }

        void list_ListChanged(object sender, ListChangedEventArgs e)
        {
            ;
        }

        class MyClass : INotifyPropertyChanged
        {
            public string Name
            {
                get { return _name; }
                set
                {
                    if (_name == value)
                        return;

                    _name = value;
                    if (PropertyChanged != null)
                        PropertyChanged(this, new PropertyChangedEventArgs("Name"));
                }
            }

            private string _name;

            public event PropertyChangedEventHandler PropertyChanged;
        }
    }
}
